﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Questions.Db
{
    [Table("Questions")]
    public class Question
    {
        [Key]
        public int Id { get; set; }

        [ForeignKey("QuestionType")]
        public int QuestionTypeId { get; set; }
        public QuestionType? QuestionType { get; set; }

        //uncomment below propertiers
        public int QuestionNumber { get; set; }
        public bool IsRequired { get; set; }
        public bool Comment { get; set; } //if Comment is true answer has user comment (survey response)

        public bool Key { get; set; }
        [ForeignKey("Survey")]
        public int? SurveyId { get; set; }
        [ForeignKey("QuestionCategory")]
        public int CategoryId { get; set; }


    }
}
